Skip to main content
PATCH
/
coa
/
api
/
transaction-matches
/
{id}
Partial Update Transaction Match
curl --request PATCH \
  --url https://api.meetcampfire.com/coa/api/transaction-matches/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "object_id": 1073741823,
  "reviewed_at": "2023-11-07T05:31:56Z",
  "confidence_score": 0.5,
  "reason": "<string>",
  "snapshot": "<unknown>",
  "customer": 123,
  "transaction": 123,
  "content_type": 123,
  "reviewed_by": 123
}
'
import requests

url = "https://api.meetcampfire.com/coa/api/transaction-matches/{id}"

payload = {
"object_id": 1073741823,
"reviewed_at": "2023-11-07T05:31:56Z",
"confidence_score": 0.5,
"reason": "<string>",
"snapshot": "<unknown>",
"customer": 123,
"transaction": 123,
"content_type": 123,
"reviewed_by": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
object_id: 1073741823,
reviewed_at: '2023-11-07T05:31:56Z',
confidence_score: 0.5,
reason: '<string>',
snapshot: '<unknown>',
customer: 123,
transaction: 123,
content_type: 123,
reviewed_by: 123
})
};

fetch('https://api.meetcampfire.com/coa/api/transaction-matches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "matched_object": "<string>",
  "app_label": "<string>",
  "model": "<string>",
  "drafts": "<string>",
  "object_id": 1073741823,
  "created_at": "2023-11-07T05:31:56Z",
  "customer": 123,
  "transaction": 123,
  "content_type": 123,
  "reviewed_at": "2023-11-07T05:31:56Z",
  "confidence_score": 0.5,
  "reason": "<string>",
  "snapshot": "<unknown>",
  "reviewed_by": 123
}

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

id
integer
required

Body

object_id
integer
Required range: 0 <= x <= 2147483647
reviewed_at
string<date-time> | null
status
enum<string>
  • pending - Pending
  • draft - Draft
  • accepted - Accepted
  • rejected - Rejected
Available options:
pending,
draft,
accepted,
rejected
confidence_score
number<double> | null
Required range: 0 <= x <= 1
reason
string | null

Why the matcher assigned this status (e.g. reference_surfaced, reference_auto_approved, needs_review, auto_approved). Display/observability only.

Maximum string length: 64
snapshot
any | null

Snapshot of transaction data preserved for training data when the transaction is deleted.

customer
integer
transaction
integer | null
content_type
integer
reviewed_by
integer | null

Response

200 - application/json
id
integer
required
read-only
matched_object
string
required
read-only
app_label
string
required
read-only
model
string
required
read-only
drafts
string
required
read-only
object_id
integer
required
Required range: 0 <= x <= 2147483647
created_at
string<date-time>
required
read-only
customer
integer
required
transaction
integer | null
required
content_type
integer
required
reviewed_at
string<date-time> | null
status
enum<string>
  • pending - Pending
  • draft - Draft
  • accepted - Accepted
  • rejected - Rejected
Available options:
pending,
draft,
accepted,
rejected
confidence_score
number<double> | null
Required range: 0 <= x <= 1
reason
string | null

Why the matcher assigned this status (e.g. reference_surfaced, reference_auto_approved, needs_review, auto_approved). Display/observability only.

Maximum string length: 64
snapshot
any | null

Snapshot of transaction data preserved for training data when the transaction is deleted.

reviewed_by
integer | null